Page MenuHomePhabricator

adding /etc/modprobe/wireguard.conf to https://github.com/vyos/vyos-wireguard
Closed, WontfixPublicFEATURE REQUEST

Description

Tested today the latest image and the kmod wireguard isn't automatically loaded, I will add it to the wireguard package, so far wireguard.py is checking and loading if needed, so the end user won't see any issues.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

hagbard triaged this task as Normal priority.Aug 15 2018, 4:33 PM
hagbard created this task.

@syncer, @Unicron, @dmbaturin

https://github.com/vyos/vyos-wireguard is just copied, not forked. Anything else inside is/was unmodified. I can had 3 lines to have the module loaded at boot time, but in general I don't feel very happy with the package and it's maintenance.
How do you usually backport packages in general and track patches and the such?
Should it be re-debianized and produce the vyos-wireguard-tools etc. instead of wireguard-tools?
Who is maintaining it, like adding the patches, testing etc.?

hagbard changed the task status from Open to In progress.Aug 17 2018, 7:48 PM
pasik added a subscriber: pasik.Aug 19 2018, 8:11 AM

Can please anyone answer my questions above? My main concern is that we build ourselves an ugly maintenance nightmare here.

hagbard closed this task as Wontfix.Aug 21 2018, 6:40 PM

I leave the code section in the wireguard.py script to load the kmod, which works well. However somebody should take care of the vyos-wireguard package, there is also an update available, not an urgent one though.
Once I have time I see that I can fork it from the original source (debian repo sid) and we just add what we need (recompile for our newer kernel). Can also come from the original wireguard source, using git-buildpackage.